{% extends "djangocms_portfolio/base.html" %}
{% load i18n easy_thumbnails_tags cms_tags %}

{% block canonical_url %}<link rel="canonical" href="{{ meta.url }}"/>{% endblock canonical_url %}
{% block title %}{{ portfolio.get_title }}{% endblock %}

{% block content_portfolio %}{% spaceless %}
<div id="portfolio-{{ portfolio.work.slug }}" class="portfolio-item post-detail">
    <header>
        <h2>{% render_model portfolio.work "name" %}</h2>

    </header>
    <div class="blog-visual">
        {% thumbnail portfolio.main_image portfolio.full_image_options.size crop=portfolio.full_image_options.crop upscale=portfolio.full_image_options.upscale subject_location=portfolio.main_image.subject_location as thumb %}
        <img src="{{ thumb.url }}" alt="{{ portfolio.main_image.default_alt_text }}" width="{{ thumb.width }}" height="{{ thumb.height }}" />
    </div>
    {% endspaceless %}
        <div class="blog-content">{% render_placeholder portfolio.content %}</div>
    {% if post.related.exists %}
        <section class="post-detail-list">
        {% for related in post.related.all %}
            {% include "djangocms_blog/includes/blog_item.html" with post=related image="true" TRUNCWORDS_COUNT=TRUNCWORDS_COUNT %}
        {% endfor %}
        </section>
    {% endif %}
</article>
{% endblock content_portfolio %}